package com.bocloud.cmp.provider.agile.network;

import com.bocloud.cmp.provider.SuperProvider;
import com.bocloud.common.model.BocloudResult;
import com.bocloud.nms.model.agile.AgileVpcModel;

import java.util.List;

public interface VpcProvider extends SuperProvider {
    public BocloudResult<AgileVpcModel> create(AgileVpcModel model);

    public BocloudResult<?> remove(String vpcId);

    public BocloudResult<List<AgileVpcModel>> list();

    default BocloudResult<?> list(String zone) {
        return null;
    }

    public BocloudResult<AgileVpcModel> detail(String vpcId, String regionId);

    public BocloudResult<AgileVpcModel> update(AgileVpcModel model);
}
